com.amazonaws.services.codedeploy.model

## Class GitHubLocation

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.GitHubLocation

All Implemented Interfaces:
  Serializable, Cloneable

    public class GitHubLocation
    extends Object
    implements Serializable, Cloneable

Information about the location of application artifacts stored in GitHub.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GitHubLocation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GitHubLocation` `clone()`
`boolean` `equals(Object obj)`
`String` `getCommitId()` The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.
`String` `getRepository()` The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.
`int` `hashCode()`
`void` `setCommitId(String commitId)` The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.
`void` `setRepository(String repository)` The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GitHubLocation` `withCommitId(String commitId)` The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.
`GitHubLocation` `withRepository(String repository)` The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GitHubLocation

    public GitHubLocation()

### Method Detail

#### setRepository

    public void setRepository(String repository)

The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

Specified as account/repository.

Parameters:
  `repository` - The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

  Specified as account/repository.

#### getRepository

    public String getRepository()

The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

Specified as account/repository.

Returns:
  The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

  Specified as account/repository.

#### withRepository

    public GitHubLocation withRepository(String repository)

The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

Specified as account/repository.

Parameters:
  `repository` - The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision.

  Specified as account/repository.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCommitId

    public void setCommitId(String commitId)

The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.

Parameters:
  `commitId` - The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.

#### getCommitId

    public String getCommitId()

The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.

Returns:
  The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.

#### withCommitId

    public GitHubLocation withCommitId(String commitId)

The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.

Parameters:
  `commitId` - The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GitHubLocation clone()

Overrides:
  `clone` in class `Object`